## ros-galactic-ouxt-common 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ouxt_common)

find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-galactic-ouxt-common (0.0.8-1focal) focal; urgency=high



 -- Masaya Kataoka <ms.kataoka@gmail.com>  Wed, 24 Nov 2021 15:00:00 -0000

ros-galactic-ouxt-common (0.0.7-1focal) focal; urgency=high

  * [Bot] Release 0.0.6 (#39 <https://github.com/OUXT-Polaris/ouxt_common/issues/39>)
    * release version 0.0.6
    * 0.0.6
  * Merge branch 'master' of https://github.com/OUXT-Polaris/ouxt_common
  * [Bot] Release 0.0.5 (#38 <https://github.com/OUXT-Polaris/ouxt_common/issues/38>)
    * release version 0.0.5
    * 0.0.5
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sat, 13 Nov 2021 15:00:00 -0000

ros-galactic-ouxt-common (0.0.6-1focal) focal; urgency=high

  * Merge branch 'master' of https://github.com/OUXT-Polaris/ouxt_common
  * [Bot] Release 0.0.5 (#38 <https://github.com/OUXT-Polaris/ouxt_common/issues/38>)
    * release version 0.0.5
    * 0.0.5
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 15:00:00 -0000

ros-galactic-ouxt-common (0.0.5-1focal) focal; urgency=high

  * Merge pull request #37 <https://github.com/OUXT-Polaris/ouxt_common/issues/37> from OUXT-Polaris/release/0.0.4
    [Bot] Release 0.0.4
  * 0.0.4
  * release version 0.0.4
  * Contributors: Masaya Kataoka, wam-v-tan

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 15:00:00 -0000

ros-galactic-ouxt-common (0.0.4-1focal) focal; urgency=high

  * Merge pull request #15 <https://github.com/OUXT-Polaris/ouxt_common/issues/15> from OUXT-Polaris/fix/description
    update package.xml
  * update package.xml
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 15:00:00 -0000

ros-galactic-ouxt-common (0.0.3-1focal) focal; urgency=high

  * update changelog
  * remove CHANGELOG
  * 0.0.2
  * add CHANGELOG.rst
  * Merge pull request #2 <https://github.com/OUXT-Polaris/ouxt_common/issues/2> from OUXT-Polaris/feature/ouxt_lint_common
    add ouxt_lint_common package
  * modify find_package line
  * fix typo s
  * update settings
  * add ouxt_lint_common package
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Fri, 10 Sep 2021 15:00:00 -0000

=== debian/control ===
Source: ros-galactic-ouxt-common
Section: misc
Priority: optional
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ouxt-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ouxt-lint-common, ros-galactic-ros-workspace
Description: common settings for OUXT Polaris ROS2 packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ouxt-common//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
